Coin: SoGLPointSizeElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoGLPointSizeElement Class Reference
Element Classes

The SoGLPointSizeElement class changes the point size setting of the OpenGL render state. More...

`#include <Inventor/elements/SoGLPointSizeElement.h>`

Inheritance diagram for SoGLPointSizeElement:

## Public Member Functions
virtual void | init (SoState *state)
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
Public Member Functions inherited from SoFloatElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from SoPointSizeElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const float pointSize)
static void | set (SoState *const state, const float pointSize)
static float | get (SoState *const state)
static float | getDefault ()
Static Public Member Functions inherited from SoFloatElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
static void | set (const int stackIndex, SoState *const state, const float value)
static float | get (const int stackIndex, SoState *const state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoGLPointSizeElement ()
virtual void | setElt (float size)
Protected Member Functions inherited from SoPointSizeElement
virtual | ~SoPointSizeElement ()
Protected Member Functions inherited from SoFloatElement
virtual | ~SoFloatElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoFloatElement
float | data
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLPointSizeElement class changes the point size setting of the OpenGL render state.

Requests from the scene graph to change the point size when rendering point primitives will be made through this element, which forwards it to the appropriate native OpenGL call.

The Coin library does not place any bounds on the values of the point size, but be aware that the range and granularity of what is valid point sizes depends on the underlying OpenGL implementation. Application programmers using point primitives (typically through the SoPointSet node) should consider these boundary values. They can be acquired by running the following code from within a valid OpenGL context:

GLfloat bounds[2];
glGetFloatv(GL_POINT_SIZE_RANGE, bounds);
GLfloat granularity[1];
glGetFloatv(GL_POINT_SIZE_GRANULARITY, granularity);

Another, perhaps more convenient, way of acquiring the OpenGL implementation limits with regard to point sizes is to use the So@Gui@GLWidget::getPointSizeLimits() method in the GUI "glue" interface library you are using (SoQt, SoXt, SoGtk, SoWin, ...).

## Constructor & Destructor Documentation

## ◆ ~SoGLPointSizeElement()

SoGLPointSizeElement::~SoGLPointSizeElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoGLPointSizeElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoGLPointSizeElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoGLPointSizeElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoGLPointSizeElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoGLPointSizeElement::init | ( | SoState * | state | ) |
| virtual

Initializes the element to its default value. The default value for point size is 0.0.

Reimplemented from SoPointSizeElement.

## ◆ push()

void SoGLPointSizeElement::push | ( | SoState * | state | ) |
| virtual

This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

## ◆ pop()

void SoGLPointSizeElement::pop | ( | SoState * | state,
|  | const SoElement * | prevTopElement )
| virtual

This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

## ◆ setElt()

void SoGLPointSizeElement::setElt | ( | float | val | ) |
| protectedvirtual

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoFloatElement.

The documentation for this class was generated from the following files:

- SoGLPointSizeElement.h
- SoGLPointSizeElement.cpp